Why can't I import an Esri Geodatabase?

Symptom

Do you have Adobe CC 2015 or newer and would like to import Esri Geodatabase feature classes but the option is not available in the import dialog box?

You most likely have a 64-bit version of Adobe Illustrator on Windows.
 

 

Cause of the issue

When Adobe introduced CC 2015, they changed the behaviour of the installation through Adobe Creative Cloud app. If the machine has a 64-bit operating system, then Adobe Creative Cloud only provided you an option to install Adobe Illustrator 64-bit. There is no option to install the 32-bit version of Adobe Illustrator if you have the 64-bit version of Windows. (If you have the 32-bit version of Windows, Adobe Creative Cloud will give you only the 32-bit version of Adobe Illustrator. You can import featre clases from Esri Geodatabases with no issue).
 

Suggested Solution

Install the 32-bit version of Adobe Illustrator using a standalone installer. The installer is available on this site (ProDesignTools.com). Please follow the insruction very carefully. Once you install the 32-bit version of Adobe Illustrator CC 2015 (or newer), run the MAPublisher installer (it will automatically detect all installed versions of Adobe Illustrator CC 2015 (or newer) including 32-bit).

When there is any update available, Adobe Creative Cloud app will inform you that there is an update available. However, this does not detect the 32-bit version of Adobe Illustrator. You will have to update the 32-bit version of Adobe Illustrator manually by running the patch available on the page "Direct Download Links for All Creative Cloud 2015 Updates: Windows": ProDesignTools.com
 

Adobe Creative Cloud app with updates for Adobe products